Bug 166502 - ypxfr not allowed from ypserv
ypxfr not allowed from ypserv
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-22 12:39 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.27.1-2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-15 18:58:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-08-22 12:39:06 EDT
Description of problem:
Getting the following AVC denied on our backup NIS server when the master pushes
updates:

type=AVC msg=audit(1124728189.744:5682809): avc:  denied  { execute_no_trans }
for  pid=7841 comm="ypserv" name="ypxfr" dev=dm-3 ino=150076
scontext=root:system_r:ypserv_t tcontext=system_u:object_r:lib_t tclass=file

This is the file attempted to be executed:

-rwxr-xr-x  root     root     system_u:object_r:lib_t          /usr/lib/yp/ypxfr


Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.25.3-12

How reproducible:
everytime
Comment 1 Daniel Walsh 2005-09-19 16:21:08 EDT
Fixed in selinux-policy-*-1.27.1-2.1

Note You need to log in before you can comment on or make changes to this bug.